Subject: bug#62508: 28.2; vhdl-mode ModelSim compile warnings aren't highlighted

From: Cyril Arnould <[email-masked]>
Date: Mon, 3 Apr 2023 07:21:04 +0000

True, looking at the new regexp in emacs the escape characters are highlighted in red, indicating an error. I can verify Mattias' modification still works for me.

I can't properly verify the bracketed version of the warning since I don't get those with my ModelSim, but if I manually type out a warning with brackets it does get highlighted when using re-builder. With Reto's modification on the other hand the bracket warning is not highlighted.

Gesendet von Outlook für Android<https://aka.ms/AAb9ysg>
________________________________
From: Mattias Engdegård <[email-masked]> on behalf of Mattias Engdegård <[email-masked]>
Sent: Saturday, April 1, 2023 2:01:19 PM
To: [email-masked] <[email-masked]>
Cc: Cyril Arnould <[email-masked]>; Eli Zaretskii <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Subject: bug#62508: 28.2; vhdl-mode ModelSim compile warnings aren't highlighted

The new regexp,

"^\\(ERROR\\|WARNING\\|\\*\\* Error\\|\\*\\* Warning\\)[^:]*:\\( *\[[0-9]\]\\| ([^)]+)\\)? \\([^ \t\n]+\\)(\\([0-9]+\\)):"
                                                                  ^^^^^^^^^

isn't quite right: there are single-escaped square brackets, and the original regexp permitted multiple digits, not just one, between square brackets. The part

  "\[[0-9]\]"

should probably be

  "\\[[0-9]+]"

but the author needs to confirm this.